
Auto Multiple Choice - Support # 891: Installation AMC ubuntu 22 04 avec texlive 2023 déjà installée

Status: Closed Priority: Normal
Author: Audrey Moal Category:
Created: 10/10/2023 Assignee:
Updated: 06/04/2025 Due date:
Description: bonjour,

J'ai installé AMC sur mon PC ubuntu 22.04. L'application se lance bien. Mais lorsque j'ouvre un projet 
(modèle simple) et que je clique sur "Mettre à jour les documents", j'ai "! LaTeX Error: File 
`automultiplechoice.sty' not found."

J'ai pas mal regardé sur le forum et fait des essais notamment avec le lien symbolique : j'ai déjà une texlive 
2023 que je souhaite conserver (packages ProfCollege et ProfLycee nécessitant la version la plus à jour), et 
j'ai essayé de créer un lien symbolique qui semble exister pour que automultiplechoice.sty soit dans la 
texlive/2023 (toutefois je ne maîtrise pas bien Ubuntu so...)

Lien symbolique a priori implanté  ici : /usr/local/texlive/texmf-dist/2023/tex/latex

et ci-dessous le détail des sorties des commandes avec la mention de l'erreur (+ log en pièce jointe)

Merci de votre aide

This is pdfTeX, Version 3.141592653-2.6-1.40.25 (TeX Live 2023) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
(./simple.tex
LaTeX2e <2023-06-01> patch level 1
L3 programming layer <2023-08-29>
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/article.cls
Document Class: article 2023/05/17 v1.4n Standard LaTeX document class
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/size10.clo))
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/inputenc.sty
(/usr/local/texlive/2023/texmf-dist/tex/latex/ucs/utf8x.def
Package ucs Info: utf8x disabled, assuming standard utf8 processing
(ucs)             load ucs package to force utf8x processing.
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/utf8.def
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/omsenc.dfu)
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/ot1enc.dfu)
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/t1enc.dfu)
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/ts1enc.dfu))))
(/usr/local/texlive/2023/texmf-dist/tex/latex/base/fontenc.sty)
! LaTeX Error: File `automultiplechoice.sty' not found.
Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)
Enter file name: 
! Emergency stop.
<read *> 
         
l.7 \begin
          {document}^^M
!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on amc-compiled.log.

07/05/2025 1/4



Output format: pdf

History
10/11/2023 07:18 am - Frédéric Bréal
Vous avez installé texlive à la vanille ? Si oui, il faut installer les faux paquets, voir documentation 11.2.1.
Il y a une modification par rapport à la documentation.
<pre>
Éditez texlive-local:
https://www.tug.org/texlive/files/debian-equivs-2022-ex.txt.
Ouvrez le fichier et changez l’année 2022
</pre>

10/11/2023 10:15 pm - Audrey Moal
bonjour,
merci pour votre réponse.
Je ne suis pas du tout spécialiste d'ubuntu. Je ne comprends pas ce que veut dire à "la vanille"...Je crois avoir fait une installation assez classique de 
TexLive.

Dans la doc, j'ai trouvé le 10.1.2 AMC n’est pas installé et TeXLive est installé (/usr/local/) j'ai créé le lien symbolique (différents essais avec différents 
chemins chez moi ) mais cela ne fonctionne pas. Le descriptif des faux paquets semble un poil trop complexe pour mon niveau... 
(https://tex.stackexchange.com/questions/1092/how-to-install-vanilla-texlive-on-debian-or-ubuntu)

Est-ce que refaire toute l'installation de Texlive 2023 et d'AMC serait une solution ? Sachant que j'ai vraiment besoin de la dernière version de TexLive. 
Dans quel ordre me conseillez-vous de procéder ?

merci

10/12/2023 02:09 pm - Frédéric Bréal
> Le descriptif des faux paquets semble un poil trop complexe pour mon niveau
Pour moi aussi mais comme j'ai fait cette partie de la documentation et  ça fonctionne avec mon installation (xubuntu 22 avec texlive 22 puis 23).
Vous êtes obligée de passer par cette installation car AMC installe TeXLive à un autre endroit (en  fait c'est ubuntu) donc il faut faire croire à AMC que 
les paquets sont bien là.

Copiez puis collez chaque ligne de code de la documentation à partir des faux paquets.

10/13/2023 07:15 pm - Audrey Moal
bonsoir,
merci pour votre retour.

Après avoir tout bien suivi (je crois, j'ai tout supprimé texlive et AMC et refait l'installation comme dans la doc), j'ai toujours exactement le même 
problème...

Est-ce que le souci pourrait venir du fait que le chemin de texlive 2023 est  /usr/local/texlive/2023 et pas seulement  /usr/local/texlive/ ?

Je n'ai pas de répertoire texmf-local dans /usr/local/texlive/2023  il est directement ici /usr/local/texlive/texmf-local 
mais je ne comprends pas trop comment est créé ce texmf-local, je ne l'avais pas dans l'installation précédente.

pour le moment je n'ai pas l'autorisation de déplacer ce répertoire dans texlive/2023, je chercherais comment faire via le terminal si vous pensez que 
c'est une bonne piste et je modifierai le lien symbolique.

merci
10/14/2023 08:32 am - Frédéric Bréal
J'ai comme vous (voir image).
Pour l'installation, je suis cette documentation https://www.xm1math.net/doculatex/install_texlive_ubuntu.html voir aussi 
https://texdoc.org/serve/texlive-fr.pdf/0. (Maintenant, je sais sélectionner les paquets qui m'intéressent)

10/14/2023 08:34 am - Frédéric Bréal
- File Dosser-texlive.png added

image.

10/14/2023 08:36 am - Frédéric Bréal
Quand vous tapez ce code, avez-vous le même résultat ?
<pre>
tex --version
</pre>
donne
<pre>
TeX 3.141592653 (TeX Live 2023)
kpathsea version 6.3.5
Copyright 2023 D.E. Knuth.
There is NO warranty.  Redistribution of this software is
covered by the terms of both the TeX copyright and
the Lesser GNU General Public License.
For more information about these matters, see the file
named COPYING and the TeX source.
Primary author of TeX: D.E. Knuth.
</pre>

10/14/2023 08:43 am - Frédéric Bréal
Le lien symbolique doit inclure AMC.
<pre>
sudo ln -s /usr/share/texmf/tex/latex/AMC /usr/local/texlive/texmf-local/tex/latex/AMC
</pre>
Ce qui ne semble pas le cas dans votre premier message.

> Lien symbolique a priori implanté ici : /usr/local/texlive/texmf-dist/2023/tex/latex

@ Alexis : n'étant pas assez attentif ou réveillé, est-ce possible de supprimer le message précédent car son log donne la même version de texlive et ce 
commentaire ? Merci

10/14/2023 10:47 am - Audrey Moal
Frédéric Bréal wrote:
> Quand vous tapez ce code, avez-vous le même résultat ?
> [...]
> donne
> [...]

Pour cela oui, j'ai la même chose, je vais regarder votre message suivant

10/14/2023 11:06 am - Audrey Moal
rebonjour,

j'ai bien les bons liens symboliques, je ne sais plus trop quoi faire...
je ferai dans le week-end une nouvelle tentative de tout réinstaller, j'ai peut-être manqué quelque chose hier.

si vous avez une autre idée, je prends ; dans tous les cas merci de votre volonté de m'aider.
Audrey

10/14/2023 11:50 am - Audrey Moal
Hello,
j'ai trouvé une astuce, qui semble fonctionner je n'ai plus de code d'erreur et les documents sont produits :

directement dans le code latex : au moment de l'appel du package automultiplechoice.sty, je force le chemin (ici chemin "originel" AMC, mais cela 
fonctionne aussi avec le lien symbolique).

\usepackage[francais,bloc,completemulti,ensemble]{/usr/share/texmf/tex/latex/AMC/automultiplechoice}

ouf ! je vais pouvoir avancer dans mes tests pratiques pour mes questions de début de cours ;)

bon week-end,

10/14/2023 08:06 pm - Frédéric Bréal
J'ai vérifié ce que j'avais écrit sur l'installation dans la documentation par 2 tests.
* Installation texlive 23 puis AMC puis lien symbolique puis test ;
* Désinstallation de texlive 23,  d'AMC et lien symbolique ;
* Installation d'AMC (qui installe texlive 22) puis test puis texlive 23 puis test (échec, normal) puis lien symbolique puis test.
Tout fonctionne.

Mon hypothèse  : avez-vous oublié de rafraîchir texlive  ?
<pre>
sudo mktexlsr
</pre>

Cela pourrait expliquer que vous soyez obligée de mettre le chemin complet.

06/04/2025 06:56 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
amc-compiled.log 21.6 kB 10/10/2023 Audrey Moal
Dosser-texlive.png 4.9 kB 10/14/2023 Frédéric Bréal
